> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dfns.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Clone Input

#### Authentication

✅ Organization User (`CustomerEmployee`)\
❌ Delegated User (`EndUser`)\
✅ Service Account

#### Required Permissions

`KeyStores:Fleets:Clone`: Always required.


## OpenAPI

````yaml /openapi.yaml post /key-stores/{storeId}/clone/input
openapi: 3.1.0
info:
  version: 1.891.1
  title: Dfns
servers:
  - url: https://api.dfns.io
    description: Default - Europe
  - url: https://api.uae.dfns.io
    description: UAE
  - url: https://api.dfns.ninja
    description: <Deprecated> Staging
security: []
paths:
  /key-stores/{storeId}/clone/input:
    post:
      tags:
        - Signers
      summary: Create Clone Input
      parameters:
        - schema:
            type: string
            minLength: 1
          required: true
          name: storeId
          in: path
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                kind:
                  type: string
                  enum:
                    - Clone
                hsmSourceSerial:
                  type: string
                  minLength: 1
                hsmTargetSerial:
                  type: string
                  minLength: 1
                macTargetSerial:
                  type: string
                  minLength: 1
              required:
                - kind
                - hsmSourceSerial
                - hsmTargetSerial
              additionalProperties: false
      responses:
        '200':
          description: Success
          content:
            application/zip:
              schema:
                type: string
                description: >-
                  Zip archive containing `input/input.json`, the clone
                  fleet-input document.
      security:
        - authenticationToken: []
          userActionSignature: []
components:
  securitySchemes:
    authenticationToken:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        **Bearer Token:** Used to authenticate API requests.

        More details how to generate the token: [Authentication
        flows](https://docs.dfns.co/api-reference/auth/login-flows)
    userActionSignature:
      type: apiKey
      in: header
      name: X-DFNS-USERACTION
      description: >-
        **User Action Signature:** Used to sign the change-inducing API
        requests.

        More details how to generate the token: [User Action Signing
        flows](https://docs.dfns.co/api-reference/auth/signing-flows)

````